HaskellForMaths-0.4.5: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None

Math.Algebras.Matrix

# Documentation

data Mat2 Source

Constructors

E2 Int Int |

Instances

Eq Mat2 |
Ord Mat2 |
Show Mat2 |
(Eq k, Num k) => Algebra k Mat2 |
(Eq k, Num k) => Module k Mat2 EBasis |

toMat2 :: (Eq k, Num k) => [[k]] -> Vect k Mat2 Source

toEB2 :: (Eq k, Num k) => [k] -> Vect k EBasis Source

toEB :: (Eq k, Num k) => [k] -> Vect k EBasis Source

data Mat2' Source

Constructors

E2' Int Int |

Instances

Eq Mat2' |
Ord Mat2' |
Show Mat2' |
(Eq k, Num k) => Coalgebra k Mat2' |

data M3 Source

Constructors

E3 Int Int |

Instances

Eq M3 |
Ord M3 |
Show M3 |
(Eq k, Num k) => Algebra k M3 |